% example_run
% This is a very simple example for run our model MITOR. The input data is
% in the following format:
%
% X: input data, a 3-D martix where each dimension represents [task, sample, feature vector]
% Y: the labels, a 2-D martix where each dimension represents [task, sample]
% adj: the adjacency matrix of the tasks, where adj(i,j)=1 stands for task i and task j are neighbors.

% IMPORTANT:
% Before running the codes, please first install and add-path the toolbox 
% UNLocBox here: https://lts2.epfl.ch/unlocbox/.


% load the sample data
load('sample_data.mat');

% learning rate for gradient descent
lr=0.8;
% L2,1 norm co-effecient (can be chose using validation set)
alpha=0;
% threshold theta constriants co-efficient (can be chose using validation set)
beta=0.01;

% Split the data into Training data and test data
[X_train, Y_train, X_test, Y_test]=data_formulate(X,Y);
% Train the MITOR model
B=MITOR(X_train,Y_train,adj,lr,alpha,beta);
% Get prediction performance
[MZE, MAE]=predict(B,X_test,Y_test);
