function [ MAE, MZE ] = predict( B,X_test,Y_test )

TASK_num= size(Y_test,1);
TEST_size=size(Y_test,2);


% Test learned model on test set
MZE=zeros(TASK_num,1);
% mean aboslute error rate
MAE=zeros(TASK_num,1);

label=zeros(TEST_size,TASK_num);
for i= 1 : TASK_num

    Y_predict = mnrval(B(:,i),squeeze(X_test(i,:,:)),'model','ordinal');

    [maxp,label(:,i)]=max(Y_predict,[],2);
    
    index=find(label(:,i)~=Y_test(i,:)');

    MZE(i)=MZE(i)+size(index,1);

    MAE(i)=sum(abs(label(:,i)-Y_test(i,:)'));

end

fprintf('On test set: Mean Zero-one Error= %f\tMean Absolute Error= %f\n',sum(MZE)/(TEST_size*TASK_num),sum(MAE)/(TEST_size*TASK_num));

end

